For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sync Group

syncGroup

Search Sync Groups

get

Search for Sync Groups viewable by this user

Query parameters
syncGroupIdintegerOptional

Filter by syncGroup Id

namestringOptional

Filter by partial Sync Group name

ownerIdintegerOptional

Filter by Owner ID

folderIdintegerOptional

Filter by Folder ID

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/syncgroups
GET /api/syncgroups HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "syncGroupId": 1,
    "name": "text",
    "createdDt": "text",
    "modifiedDt": "text",
    "modifiedBy": 1,
    "modifiedByName": "text",
    "ownerId": 1,
    "owner": "text",
    "syncPublisherPort": 1,
    "syncSwitchDelay": 1,
    "syncVideoPauseDelay": 1,
    "leadDisplayId": 1,
    "leadDisplay": "text",
    "folderId": 1,
    "permissionsFolderId": 1
  }
]

Search Sync Groups by ID

get

Get the Sync Group object specified by the provided syncGroupId

Path parameters
syncGroupIdintegerRequired

Numeric ID of the Sync Group to get

Responses
200

successful operation

application/json

Class SyncGroup

syncGroupIdintegerOptional

The ID of this Entity

namestringOptional

The name of this Entity

createdDtstringOptional

The datetime this entity was created

modifiedDtstring · nullableOptional

The datetime this entity was last modified

modifiedByintegerOptional

The ID of the user that last modified this sync group

modifiedByNamestringOptional

The name of the user that last modified this sync group

ownerIdintegerOptional

The ID of the owner of this sync group

ownerstringOptional

The name of the owner of this sync group

syncPublisherPortintegerOptional

The publisher port number

syncSwitchDelayintegerOptional

The delay (in ms) when displaying the changes in content

syncVideoPauseDelayintegerOptional

The delay (in ms) before unpausing the video on start.

leadDisplayIdintegerOptional

The ID of the lead Display for this sync group

leadDisplaystringOptional

The name of the lead Display for this sync group

folderIdintegerOptional

The id of the Folder this Sync Group belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Sync Group

get/syncgroup/{syncGroupId}
GET /api/syncgroup/{syncGroupId} HTTP/1.1
Accept: */*
200

successful operation

{
  "syncGroupId": 1,
  "name": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "modifiedBy": 1,
  "modifiedByName": "text",
  "ownerId": 1,
  "owner": "text",
  "syncPublisherPort": 1,
  "syncSwitchDelay": 1,
  "syncVideoPauseDelay": 1,
  "leadDisplayId": 1,
  "leadDisplay": "text",
  "folderId": 1,
  "permissionsFolderId": 1
}

Add a Sync Group

post

Add a new Sync Group to the CMS

Body
namestringRequired

The Sync Group Name

syncPublisherPortintegerOptional

The publisher port number on which sync group members will communicate - default 9590

syncSwitchDelayintegerOptional

The delay (in ms) when displaying the changes in content - default 750

syncVideoPauseDelayintegerOptional

The delay (in ms) before unpausing the video on start - default 100

folderIdintegerOptional

Folder ID to which this object should be assigned to

Responses
201

successful operation

application/json
post/syncgroup/add
POST /api/syncgroup/add HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 94

"name='text'&syncPublisherPort=1&syncSwitchDelay=1&syncVideoPauseDelay=1&folderId=1"
201

successful operation

{
  "syncGroupId": 1,
  "name": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "modifiedBy": 1,
  "modifiedByName": "text",
  "ownerId": 1,
  "owner": "text",
  "syncPublisherPort": 1,
  "syncSwitchDelay": 1,
  "syncVideoPauseDelay": 1,
  "leadDisplayId": 1,
  "leadDisplay": "text",
  "folderId": 1,
  "permissionsFolderId": 1
}

Assign one or more Displays to a Sync Group

post

Adds the provided Displays to the Sync Group

Path parameters
syncGroupIdintegerRequired

The Sync Group to assign to

Body
displayIdinteger[]Required

The Display Ids to assign

unassignDisplayIdinteger[]Optional

An optional array of Display IDs to unassign

Responses
204

successful operation

No content

post/syncgroup/{syncGroupId}/members
POST /api/syncgroup/{syncGroupId}/members HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 41

"displayId=[1]&unassignDisplayId=[1]"
204

successful operation

No content

Edit a Sync Group

post

Edit an existing Sync Group

Path parameters
syncGroupIdintegerRequired

The Sync Group to edit

Body
namestringRequired

The Sync Group Name

syncPublisherPortintegerOptional

The publisher port number on which sync group members will communicate - default 9590

syncSwitchDelayintegerOptional

The delay (in ms) when displaying the changes in content - default 750

syncVideoPauseDelayintegerOptional

The delay (in ms) before unpausing the video on start - default 100

leadDisplayIdintegerRequired

The ID of the Display that belongs to this Sync Group and should act as a Lead Display

folderIdintegerOptional

Folder ID to which this object should be assigned to

Responses
201

successful operation

application/json
post/syncgroup/{syncGroupId}/edit
POST /api/syncgroup/{syncGroupId}/edit HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 112

"name='text'&syncPublisherPort=1&syncSwitchDelay=1&syncVideoPauseDelay=1&leadDisplayId=1&folderId=1"
201

successful operation

{
  "syncGroupId": 1,
  "name": "text",
  "createdDt": "text",
  "modifiedDt": "text",
  "modifiedBy": 1,
  "modifiedByName": "text",
  "ownerId": 1,
  "owner": "text",
  "syncPublisherPort": 1,
  "syncSwitchDelay": 1,
  "syncVideoPauseDelay": 1,
  "leadDisplayId": 1,
  "leadDisplay": "text",
  "folderId": 1,
  "permissionsFolderId": 1
}

Delete a Sync Group

delete

Delete an existing Sync Group identified by its Id

Path parameters
syncGroupIdintegerRequired

The syncGroupId to delete

Responses
204

successful operation

No content

delete/syncgroup/{syncGroupId}/delete
DELETE /api/syncgroup/{syncGroupId}/delete HTTP/1.1
Accept: */*
204

successful operation

No content

Get Sync Group members

get

Get the Display members of the specified Sync Group

Path parameters
syncGroupIdintegerRequired

The ID of the Sync Group to get members for

Query parameters
eventIdintegerOptional

Filter by event ID - return will include Layouts Ids scheduled against each group member

Responses
200

successful operation

application/json

Class SyncGroup

syncGroupIdintegerOptional

The ID of this Entity

namestringOptional

The name of this Entity

createdDtstringOptional

The datetime this entity was created

modifiedDtstring · nullableOptional

The datetime this entity was last modified

modifiedByintegerOptional

The ID of the user that last modified this sync group

modifiedByNamestringOptional

The name of the user that last modified this sync group

ownerIdintegerOptional

The ID of the owner of this sync group

ownerstringOptional

The name of the owner of this sync group

syncPublisherPortintegerOptional

The publisher port number

syncSwitchDelayintegerOptional

The delay (in ms) when displaying the changes in content

syncVideoPauseDelayintegerOptional

The delay (in ms) before unpausing the video on start.

leadDisplayIdintegerOptional

The ID of the lead Display for this sync group

leadDisplaystringOptional

The name of the lead Display for this sync group

folderIdintegerOptional

The id of the Folder this Sync Group belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Sync Group

get/syncgroup/{syncGroupId}/displays
GET /api/syncgroup/{syncGroupId}/displays HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "syncGroupId": 1,
    "name": "text",
    "createdDt": "text",
    "modifiedDt": "text",
    "modifiedBy": 1,
    "modifiedByName": "text",
    "ownerId": 1,
    "owner": "text",
    "syncPublisherPort": 1,
    "syncSwitchDelay": 1,
    "syncVideoPauseDelay": 1,
    "leadDisplayId": 1,
    "leadDisplay": "text",
    "folderId": 1,
    "permissionsFolderId": 1
  }
]

Last updated

Was this helpful?